All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class VariableList

    com.sas.graphics.components.VariableList

    @SASScope(value="ALL")
    public class VariableList

VariableLists are used to form an ordered list of Variables. Graphs support multiple data column associations on some of their variable roles. For example graphs allow multiple data columns to be associated with their Column and Row Variables via the graph's DataModel. Some graphs like the BarChart also support multiple data column associations on other graph variables roles (such as the ResponseVariable in this example) to enable better data comparisons.

## Usage

You can chain VariableList objects together via the "next" property.

Example

You can chain together the "Year" and "Quarter" data columns by doing one of the following:

     myVariableList = new VariableList(new Variable[] {new Variable("Year")
                                                      ,new Variable("Quarter")});

As a convenience the constructor supports constructing a list this same way as follows:

     myVariable = new VariableList( new String[]{"Year","Quarter"});

## Behavior

VariableList acts as a simple linked list of Variable objects.

Since:
  SAS 9.1
See Also:
  `Variable`, `ClassificationVariable`, `ClassificationVariableList`, `AnalysisVariable`, `AnalysisVariableList`

Constructor Summary
`VariableList(int columnIndex, java.lang.String format, java.lang.String informat, java.lang.String label, VariableList next)`
`VariableList(java.lang.String[] columnNames)` Construct a list of VariableList objects designating the column names in the order provided.
`VariableList(java.lang.String columnName, java.lang.String format, java.lang.String informat, java.lang.String label, VariableList next)` Constructor designating data column by name.
`VariableList(Variable[] variableArray)` Construct a list of VariableList objects whose properties and order are defined by the Variables in the array.

Method Summary
`Variable[]` | `asArray()` Provides a conversion into a Variable array.
`java.util.ArrayList` | `asArrayList()` Provides a conversion into an ArrayList.
`boolean` | `equals(java.lang.Object obj)` Determines whether another object is equal to this `VariableList`.
`VariableList` | `getNext()` Returns the next VariableList in the list.
`int` | `hashCode()` Computes the hash code for this `VariableList`.
`java.util.Iterator` | `iterator()` Provides an iterator to the list.

Methods inherited from class com.sas.graphics.components.Variable
`getCategorizationModel, getColumnIndex, getColumnName, getFormat, getInformat, getLabel, getSegmentedRangeStyle`

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### VariableList

    public VariableList(java.lang.String columnName,
                        java.lang.String format,
                        java.lang.String informat,
                        java.lang.String label,
                        VariableList next)

  Constructor designating data column by name.

  Parameters:
    `columnName` - the name identifying the data column
    `format` - the name of the SAS format applied (by the graph) on the values found in this variable's data column
    `informat` - the name of the SAS informat applied (by the graph) on the values found in this variable's data column
    `label` - the label the chart will display via data tips, axis labels and legend labels (where applicable)
    `next` - the next variable in the list

    The supported informats are:

    - `DATE5. - "ddMMM"`
    - `DATE7. - "ddMMMyy"`
    - `DATE9. - "ddMMMyyyy"`
    - `DATETIME13. - "ddMMMyy:HH:mm"`
    - `DATETIME16. - "ddMMMyy:HH:mm:ss"`
    - `DATETIME18. - "ddMMMyyyy:HH:mm:ss"`
    - `DATETIME20. - "ddMMMyy:HH:mm:ss.SSS"`
    - `DATETIME22. - "ddMMMyyyy:HH:mm:ss.SSS"`
    - `TIME5. - "HH:mm"`
    - `TIME8. - "HH:mm:ss""`
    - `TIME12. - "HH:mm:ss.SSS"`

### VariableList

    public VariableList(int columnIndex,
                        java.lang.String format,
                        java.lang.String informat,
                        java.lang.String label,
                        VariableList next)

### VariableList

    public VariableList(java.lang.String[] columnNames)

  Construct a list of VariableList objects designating the column names in the order provided.

  Parameters:
    `columnNames` - the column names

### VariableList

    public VariableList(Variable[] variableArray)

  Construct a list of VariableList objects whose properties and order are defined by the Variables in the array.

  Parameters:
    `variableArray` - the array of variables

Method Detail

### getNext

    public VariableList getNext()

  Returns the next VariableList in the list.

  Returns:
    the next variable list

### asArray

    public Variable[] asArray()

  Provides a conversion into a Variable array.

### asArrayList

    public java.util.ArrayList asArrayList()

  Provides a conversion into an ArrayList.

  See Also:
    `ArrayList`

### iterator

    public java.util.Iterator iterator()

  Provides an iterator to the list. Note: Since the VariableList class is immutable the `remove` method will not have any affect on the list.

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether another object is equal to this `VariableList`.

  The result is `true` if and only if the argument is not `null` and is a `VariableList` object that has the same property values as this object.

  Overrides:
    `equals` in class `Variable`
  Parameters:
    `obj` - the object to test for equality with this `VariableList`
  Returns:
    `true` if the objects are the same; `false` otherwise.

### hashCode

    public int hashCode()

  Computes the hash code for this `VariableList`.

  Overrides:
    `hashCode` in class `Variable`
  Returns:
    a hash code value for this object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.